• Welcome to ScubaBoard


  1. Welcome to ScubaBoard, the world's largest scuba diving community. Registration is not required to read the forums, but we encourage you to join. Joining has its benefits and enables you to participate in the discussions.

    Benefits of registering include

    • Ability to post and comment on topics and discussions.
    • A Free photo gallery to share your dive photos with the world.
    • You can make this box go away

    Joining is quick and easy. Login or Register now by clicking on the button

subsurface 4.3 on older Ubuntu

Discussion in 'Dive Software' started by phishphood, Jan 11, 2015.

  1. phishphood

    phishphood Barracuda

    411
    19
    18
    Was wondering if there was any way to get Subsurface 4.3 on Ubuntu 12.04. I know I'll get around to upgrading to the newer LTS, but not sure when.

    Also, probably related to the fact that I was using SS 4.2 but when I imported dives from my Aeries elite T3 my SCUBA ones came out fine but dives that were recorded in "Freedive" mode all show as 32.7 feet regardless of actual depth achieved but I believe the duration is at least correct. Thanks for any help and thanks for creating a great product.
     
  2. dirkhh

    dirkhh Barracuda

    # of Dives: 200 - 499
    Location: Portland, OR, USA
    208
    106
    43
    The challenge with 12.04 is that it's hard to get a working Qt5 there. I think Miika had a Qt4 build for that, I'll need to see if I can still find that online.
    Future versions will require Qt5...
     
  3. phishphood

    phishphood Barracuda

    411
    19
    18
    Thanks, but if it's too much work then don't worry about it.

    Any idea if the freedive issue is software revision based or dive computer based?
     
  4. dirkhh

    dirkhh Barracuda

    # of Dives: 200 - 499
    Location: Portland, OR, USA
    208
    106
    43
    I don't think so - looking through the git log it doesn't appear to be the case.
    What would help us is a libdivecomputer dump together with an email that points out which dives have incorrect data (and what the right data are).
    Can you bring this up on our user forum? I don't think the key developers are spending as much time here as they do reading the email feed of the user forum.
    User Forum | Subsurface

    ---------- Post added January 16th, 2015 at 12:14 AM ----------

    I added a build from Ubuntu 12.04 to our PPA (ppa:subsurface/subsurface-daily). This a development build of the latest sources. Could you give this a try? Unfortunately I cannot test it...
     

Share This Page